<a id="the-lightweight-library-for-async-messaging-nobody-expects"></a>

# The lightweight library for async messaging nobody expects.

*Installation*

pip install eric-sse

*Features*

* Send to one listener and broadcast
* SSE format was adopted by design, making the library suitable for such kind of model
* Callbacks and threading support
* Sockets server prefab for offline inter process communication

*Possible applications*

* Message delivery mechanisms based on SSE
* Message queue processing (logging, etc)
* See [https://github.com/laxertu/eric-api](https://github.com/laxertu/eric-api)

*Documentation*

* Home [https://laxertu.github.io/eric/docs.html](https://laxertu.github.io/eric/docs.html)
* Sources [https://github.com/laxertu/eric](https://github.com/laxertu/eric)
* Examples [https://github.com/laxertu/eric/tree/master/examples](https://github.com/laxertu/eric/tree/master/examples)

* [Overview](docs.md)
* [Entities](docs.md#module-eric_sse.entities)
* [Prefab channels and listeners](docs.md#module-eric_sse.prefabs)
* [Prefab servers](docs.md#module-eric_sse.servers)
* [Exceptions](docs.md#module-eric_sse.exception)
* [Changelog](docs.md#changelog)
* [Developers section](docs.md#developers-section)

*Trivia*

* Library name pretends to be a tribute to the following movie [https://en.wikipedia.org/wiki/Looking_for_Eric](https://en.wikipedia.org/wiki/Looking_for_Eric)
